#include <iostream>
#include <cassert>
//#include <string>
#include "icstring.h"
#include <vector>
#include <algorithm>
int main()
{
	icstring s1 = "abcdef";
	icstring s2 = "ABCDEF";
	assert( s1 == s2 );
	size_t pos = s1.find( "BC" );
	assert( pos == 1 );

	s1.replace( pos, 2, "NEW" );
	assert( s1 == "aNEWdef" );

	std::vector< icstring > vstr;
	vstr.push_back( s1 );
	vstr.push_back( s2 );
	vstr.push_back( "text" );
	vstr.push_back( "TE" );
	vstr.push_back( "abc" );
	vstr.push_back( "ABCd" );
	std::sort( vstr.begin(), vstr.end() );

	for ( size_t idx = 0; idx < vstr.size(); ++idx ) {
		std::cout << vstr[ idx ] << "\n";
	}
	return 0;
}
